Subject: Re: Netchannles: first stage has been completed. Further ideas.

From: Ben Greear <[email-masked]>
Date: Thu, 20 Jul 2006 14:21:57 -0700

Evgeniy Polyakov wrote:

>>Backlog is actually not a protection, but a thing equivalent to netchannel.
>>The difference is only that it tries to process something immediately,
>>when it is safe. You can omit this and push everything to backlog(=netchannel),
>>which is processed only by syscalls, if you do not care about latency.
> 
> 
> If we consider netchannels as how Van Jackobson discribed them, then
> mutext is not needed, since it is impossible to have several readers or
> writers. But in socket case even if there is only one userspace
> consumer, that lock must be held to protect against bh (or introduce
> several queues and complicate a lot their's management (ucopy for
> example)).

Out of curiosity, is it possible to have the single producer logic
if you have two+ ethernet interfaces handling frames for a single
TCP connection?  (I am assuming some sort of multi-path routing
logic...)

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com